#ifndef __DBUS_PROXY_CONEXUS_DBUS_IPV4_TCP_H
#define __DBUS_PROXY_CONEXUS_DBUS_IPV4_TCP_H

#include <dbus-cxx.h>

#include <conexus/ipv4_tcp.h>

#include <conexus-dbus/ipv4_ip_proxy.h>


namespace Conexus {
  namespace DBus {
    namespace IPv4 {

      class TCPProxy : public IPProxy
      {
        protected:
          TCPProxy( ::DBus::Connection::pointer conn, const std::string& dest="Conexus.IPv4.TCP", const std::string& path="/Conexus/IPv4/TCP"):
            IPProxy(conn, dest, path)
          {
            ::DBus::Path child_path;

          }

        public:

          typedef DBusCxxPointer<TCPProxy> pointer;

          static pointer create( ::DBus::Connection::pointer conn,
                                 const std::string& dest="Conexus.IPv4.TCP",
                                 const std::string& path="/Conexus/IPv4/TCP"
                               )
          { return pointer( new TCPProxy(conn, dest, path)); }



        protected:




      };

    }
  }
}

#endif
